Bug 1276670 - [engine-clean] engine-cleanup doesn't stop ovirt-vmconsole-proxy-sshd
[engine-clean] engine-cleanup doesn't stop ovirt-vmconsole-proxy-sshd
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: VMConsole (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.1.1
: 4.1.1
Assigned To: Francesco Romani
Artyom
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 08:41 EDT by Jiri Belka
Modified: 2017-04-21 05:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-21 05:43:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 65968 master MERGED setup: let vmconsole proxy be stopped on cleanup 2017-01-30 02:28 EST
oVirt gerrit 71365 ovirt-engine-4.1 MERGED setup: let vmconsole proxy be stopped on cleanup 2017-02-06 11:04 EST

  None (edit)
Description Jiri Belka 2015-10-30 08:41:07 EDT
Description of problem:

engine-cleanup doesn't stop ovirt-vmconsole-proxy-sshd

...
[ INFO  ] Stage: Setup validation
          During execution engine service will be stopped (OK, Cancel) [OK]: 
          All the installed ovirt components are about to be removed, data will be lost (OK, Cancel) [Cancel]: OK
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping dwh service
[ INFO  ] Stopping reports service
[ INFO  ] Stopping engine service
[ INFO  ] Stopping ovirt-fence-kdump-listener service
[ INFO  ] Stopping websocket-proxy service
[ INFO  ] Stage: Misc configuration
...

[root@10-34-60-249 ~]# /etc/init.d/ovirt-vmconsole-proxy-sshd status
ovirt-vmconsole-proxy-sshd (pid  22795) is running...


Version-Release number of selected component (if applicable):
rhevm-setup-base-3.6.0.2-0.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. install 3.6
2. engine-setup and finish it successfully
3. engine-clean and observe if ovirt-vmconsole-proxy-sshd is running

Actual results:
ovirt-vmconsole-proxy-sshd is running

Expected results:
should be stopped
Comment 1 Sandro Bonazzola 2017-01-23 07:45:59 EST
4.1.0 RC1 has been released, not being a blocker this bug is moved to 4.1.1
Comment 2 Artyom 2017-02-15 09:27:35 EST
Verified on rhevm-4.1.1-0.1.el7.noarch

After engine-setup:
# systemctl status ovirt-vmconsole-proxy-sshd
● ovirt-vmconsole-proxy-sshd.service - oVirt VM Console SSH server daemon
   Loaded: loaded (/usr/lib/systemd/system/ovirt-vmconsole-proxy-sshd.service; enabled; vendor preset: disabled)
   Active: active (running) since Wed 2017-02-15 16:20:34 IST; 3min 14s ago
 Main PID: 15102 (sshd)
   CGroup: /system.slice/ovirt-vmconsole-proxy-sshd.service
           └─15102 /usr/sbin/sshd -f /usr/share/ovirt-vmconsole/ovirt-vmconsole-proxy/ovirt-vmconsole-proxy-sshd/sshd_config -D


After engine-cleanup:
# systemctl status ovirt-vmconsole-proxy-sshd
● ovirt-vmconsole-proxy-sshd.service - oVirt VM Console SSH server daemon
   Loaded: loaded (/usr/lib/systemd/system/ovirt-vmconsole-proxy-sshd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Note You need to log in before you can comment on or make changes to this bug.